Subject: Re: RDMA/nes: Fix mis-merge

From: Roland Dreier <[email-masked]>
Date: Thu, 26 Mar 2009 16:53:25 -0700

> Btw, as far as I can tell, that function had never been tested with any 
 > polling. It had a line like
 > 
 > 	netif_napi_add(netdev, &nesvnic->napi, nes_netdev_poll, 128);
 > 
 > but that line was _before_ 'nesvnic' was actually initialized (well, it 
 > had been initialized to NULL, so it passed in some NULL-pointer-offset to 
 > that function).

Yes, looks like the bug was introduced by d0929553 ("infiniband: convert
nes driver to net_device_ops").  And unfortunately the nesvnic=NULL
initialization stopped gcc from warning about used-uninitialized I
guess.  I'll test the final merge out...

 - R.